/**
 * Created by CSL on 2018-12-14.
 */

let express = require('express');
let blController = require('../controllers/block_lib_controller');

module.exports = function (app) {
    let blRouter = express.Router();
    let funcNames = ['getLibNames', 'getLib', 'getLibNamesAndFirstLib', 'saveBlock'];
    for (let name of funcNames) {
        blRouter.post(`/${name}`, blController.doController);
    }
    app.use('/blockLib', blRouter);
}




